Communauté
Fusion - Français
Bienvenue sur les forums Fusion (anciennement Fusion 360) d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Fusion populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Fusion : Problème API avec la mise à jour de mai 2024

1 RÉPONSE 1
RÉSOLU
Répondre
Message 1 sur 2
didier_vancon
142 Visites, 1 Réponse

Fusion : Problème API avec la mise à jour de mai 2024

Bonjour,

je développe des scripts en python via l'api de fusion 360. Depuis la dernière mise à jour de mai 2024, je me retrouve avec un gros problème sur l'objet :

constructionAxis_var.geometry.direction

En effet, le vector3D qui m'est retourné est désormais incorrect. J'ai une version précédente de fusion 360 sur un autre ordinateur et il n'y a aucun problème.

voici un exemple de code:

 

 

#Création d'un axe de rotation
axes = rootComp.constructionAxes
axisInput = axes.createInput()
axisInput.setByTwoPoints(sectionProfFemArt2c.startSketchPoint,sectionProfFemArt2c.endSketchPoint)
axes.add(axisInput)
axeRotate = axes.item(0)

#récupération du vector3D de l'axe de rotation
v = axeRotate.geometry.direction

#Rotation d'un corps 3D (body) autours d'un axe (v)
#Création de Matrix3D de transformation
centerPoint = adsk.core.Point3D.create(0, 0, 0)
transformA1X = adsk.core.Matrix3D.create()
transformA1X.setToRotation(math.radians(45), v,centerPoint)

#Insertion des différents corps à transformer
bodies = adsk.core.ObjectCollection.create()
bodies.add(body)

#Rotation du corps 3D en fonction de Matrix3D (transformA1X)
moveFeats = rootComp.features.moveFeatures
moveFeatureInput = moveFeats.createInput2(bodies)
moveFeatureInput.defineAsFreeMove(transformA1X)
moveFeats.add(moveFeatureInput)

 

 

Auriez-vous une réponse à ce problème ?

Je vous remercie par avance pour votre réponse.


Le titre du sujet a été modifié par un modérateur pour faciliter la recherche. Titre original:
Problème API avec la mise à jour de mai 2024

Étiquettes (1)
  • API
1 RÉPONSE 1
Message 2 sur 2
didier_vancon
en réponse à: didier_vancon

J'ai trouvé le problème:

apparemment, la position des Point3D ne prend plus en charge les positions locales dans un composant, mais une position absolue par rapport à WorldGeometry, notamment quand on utilise des groupes ou liaisons. Le problème dans cette mise à jour et mon programme c'est que j'utilise des groupes de types rigidGroup et des liaisons articulaires pour lier mes corps 3D. l'utilisation de ses groupes et liaisons modifient désormais la référence de l'origine x, y et z des Point3D en fonction de l'origine racine et non plus locale. Il faut donc gérer les groupes et liaison à la fin de toutes modélisation et modification 3D.

Dommage, car je trouve que ça alourdi certain processus.

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report